6.0.0-git
2021-01-24

[#5356] Improve multiple email addreses per Turba contact
Summary Improve multiple email addreses per Turba contact
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2007-05-14 (5004 days ago)
Due
Updated 2008-03-03 (4710 days ago)
Assigned
Resolved 2007-05-25 (4993 days ago)
Milestone
Patch No

History
2008-03-03 09:26:45 thomas (dot) jarosch (at) intra2net (dot) com Comment #17 Reply to this comment
In the future, can you please create new bugs for issues with closed
enhancements? It's one thing to re-open a bug that's not fixed, but
this is a new bug introduced after the enhancement was closed...
Sure thing :-)


2008-03-02 21:38:03 Chuck Hagenbuch Comment #16 Reply to this comment
committed
2008-03-02 17:41:56 Chuck Hagenbuch Comment #15 Reply to this comment
In the future, can you please create new bugs for issues with closed 
enhancements? It's one thing to re-open a bug that's not fixed, but 
this is a new bug introduced after the enhancement was closed...
2008-03-02 11:24:07 thomas (dot) jarosch (at) intra2net (dot) com Comment #14
New Attachment: turba-fix-multiple-addresses.patch Download
Reply to this comment
Hello together,



attached patch fixes the multiple email address support after

the layout of the params array changed in Turba's attributes.php.



Cheers,

Thomas


2007-05-30 18:44:42 Chuck Hagenbuch Comment #13 Reply to this comment
That one works - committed, thanks.
2007-05-30 16:34:46 thomas (dot) jarosch (at) intra2net (dot) com Comment #12
New Attachment: turba-multiple-email-addresses-v2.patch Download
Reply to this comment
New version of the patch including a "isset($attributes[$key]['params'])".


2007-05-25 00:02:58 Chuck Hagenbuch Comment #11
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2007-05-24 23:58:41 Chuck Hagenbuch Deleted Original Message
 
2007-05-22 19:13:58 thomas (dot) jarosch (at) intra2net (dot) com Comment #10
New Attachment: framework-UI-renderer-email-update.patch Download
Reply to this comment
Updated HTML renderer to also use MIME::rfc822Explode


2007-05-22 19:13:21 thomas (dot) jarosch (at) intra2net (dot) com Comment #9
New Attachment: turba-fix-search-rfc822explode.patch Download
Reply to this comment
Updated Turba patch with MIME::rfc822Explode
2007-05-18 08:39:27 thomas (dot) jarosch (at) intra2net (dot) com Comment #8 Reply to this comment
Does Turba allow email groups?
I just tried to enter "foo:a@b.example,c@d.example,e@f.example;" and
it complained it's not a valid address.
Correct, but it doesn't allow multiple email addresses either, they
can still appear in existing address books.
It does allow multiple addresses if you do it like this in attributes.php:



if (!empty($GLOBALS['conf']['kolab']['enabled'])) {

     $attributes['emails'] = array(

         'label' => _("Emails"),

         'type' => 'email',

         'required' => false,

         'params' => array(true, false, true)

     );

}



Apart from that I've never seen a single use of the group format. 
Though an MIME:rfc822explode() shouldn't hurt.



Thomas


2007-05-18 08:15:09 Jan Schneider Comment #7 Reply to this comment
Does Turba allow email groups?
I just tried to enter "foo:a@b.example,c@d.example,e@f.example;" and
it complained it's not a valid address.
Correct, but it doesn't allow multiple email addresses either, they 
can still appear in existing address books.
2007-05-18 07:45:53 thomas (dot) jarosch (at) intra2net (dot) com Comment #6 Reply to this comment
Hello Jan,
The explode(',', ...) call looks too simplified to me. We probably
have to use MIME::rfc822Explode() to correctly support email groups.
Does Turba allow email groups?

I just tried to enter "foo:a@b.example,c@d.example,e@f.example;" and 
it complained it's not a valid address.



Thomas


2007-05-17 22:03:32 Jan Schneider Comment #5 Reply to this comment
The explode(',', ...) call looks too simplified to me. We probably 
have to use MIME::rfc822Explode() to correctly support email groups.
2007-05-17 21:35:59 thomas (dot) jarosch (at) intra2net (dot) com Comment #4 Reply to this comment
I've committed the framework/UI change; can you please elaborate on
what this line in the Turba patch is checking against?

if (is_array($attributes[$key]['params']) &&
$attributes[$key]['params'][0] == true)
Attributes in Turba can take a "params" array.

http://wiki.horde.org/Doc/Dev/FormTypes says for the email field the 
first entry is "allow multiple addresses".



Thanks for commiting the patch.


2007-05-17 20:50:35 Chuck Hagenbuch Comment #3
State ⇒ Feedback
Reply to this comment
I've committed the framework/UI change; can you please elaborate on 
what this line in the Turba patch is checking against?



if (is_array($attributes[$key]['params']) && 
$attributes[$key]['params'][0] == true)



Thanks.
2007-05-16 16:10:44 thomas (dot) jarosch (at) intra2net (dot) com Comment #2
New Attachment: turba-fix-search.patch
Reply to this comment
Patch for Turba so you can use multiple email addresses in IMP/kronolith.
2007-05-14 17:05:23 thomas (dot) jarosch (at) intra2net (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Improve multiple email addreses per Turba contact
Queue ⇒ Horde Framework Packages
New Attachment: framework-UI-renderer-multiple-email.patch Download
Reply to this comment
Hello together,



this patch improves multiple contacts per email address as provided by 
Turba HEAD.

Instead of generating one big (unusable) HTML link with all addresses, 
each address gets its own link.



Cheers,

Thomas


Saved Queries